<div ng-controller="clienteController">

	<h2>CADASTRO DE CLIENTES</h2>

	<form novalidate name="frmCliente">
		<ul>
			<li>
				<label>Nome Cliente: </label>
				<input type="text" name="txtNomeCliente" ng-model="cliente.nomeCliente" required/>
				<span ng-show="frmCliente.txtNomeCliente.$error.required">* campo obrigatório</span>
			</li>
			<li>
				<label>Limite de credito: </label>
				<input type="text" name="txtLimiteCredito" ng-model="cliente.valorLimiteCredito" pattern="[0-9,]*" required />
				<span ng-show="frmCliente.txtLimiteCredito.$error.required">* campo obrigatório</span>
				<span ng-show="frmCliente.txtLimiteCredito.$error.pattern">* valor inválido</span>
			</li>
			<li>
				<label>Risco: </label> 
				<select name="selectRisco" ng-model="cliente.classeRisco" required>
				  <option ng-repeat="option in classesRisco.options" ng-value="option.value">{{option.name}}</option>
				</select>
				<span ng-show="frmCliente.selectRisco.$error.required">* campo obrigatório</span>
			</li>
		</ul>
		<input type="button" value="Cadastrar" ng-click="cadastrarCliente()" ng-disabled="frmCliente.$invalid" />		
	</form>

	<div ng-if="(clientes.length > 0)">
		<fieldset>
			<legend>LISTA DE CLIENTES</legend>
			<div ng-repeat="cli in clientes">
				{{cli}}
			</div>
		</fieldset>
	</div>

	<div ng-if="(msgErro.length > 0)">
		<fieldset>
			<legend>ERRO</legend>
			{{msgErro}}
		</fieldset>
	</div>
	
</div>